package card_redeem_order

import (
	"context"
	"kami/api/commonApi"
	"kami/internal/consts"
	"testing"

	_ "github.com/gogf/gf/contrib/drivers/mysql/v2"
	"github.com/gogf/gf/v2/os/gtime"
)

func Test_sCardRedeemOrder_Summary(t *testing.T) {
	orderInfo := sCardRedeemOrder{}
	orderInfo.Summary(context.Background(), commonApi.CommonPageReq{
		Current:  1,
		PageSize: 50,
	}, consts.CardRedeemAccountCategoryWalMart, "", nil, nil)
}

func Test_sCardRedeemOrder_DailySummary(t *testing.T) {
	orderInfo := sCardRedeemOrder{}
	orderInfo.DailySummary(context.Background(), gtime.Now(), nil)
}
